Bug 1572711 - Automate Methods from Dynamic Dialog are being Run More than Designed / Expected
Summary: Automate Methods from Dynamic Dialog are being Run More than Designed / Expected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.9.2
Assignee: eclarizi
QA Contact: Shveta
URL:
Whiteboard:
Depends On: 1571000
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 16:41 UTC by Satoe Imaishi
Modified: 2019-11-19 22:35 UTC (History)
10 users (show)

Fixed In Version: 5.9.2.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1571000
Environment:
Last Closed: 2018-05-07 20:49:58 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 None None None 2018-05-07 20:50:42 UTC

Internal Links: 1576873 1585745

Comment 2 CFME Bot 2018-04-27 17:25:53 UTC
New commit detected on ManageIQ/manageiq-api/gaprindashvili:

https://github.com/ManageIQ/manageiq-api/commit/601ad9b947712a2586f2c0dd860d0c26d3b0f1b5
commit 601ad9b947712a2586f2c0dd860d0c26d3b0f1b5
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Thu Apr 26 16:24:17 2018 -0400
Commit:     Alberto Bellotti <abellotti@users.noreply.github.com>
CommitDate: Thu Apr 26 16:24:17 2018 -0400

    Merge pull request #365 from eclarizio/dynamic_dialog_field_loading_sev2

    Add refresh parameter to ResourceActionWorkflow initialization
    (cherry picked from commit 7c2cae66126ecdd666dd108afb34f5eea459ccb9)

    https://bugzilla.redhat.com/show_bug.cgi?id=1572716
    https://bugzilla.redhat.com/show_bug.cgi?id=1572711

 app/controllers/api/service_dialogs_controller.rb | 6 +-
 spec/requests/service_dialogs_spec.rb | 18 +
 2 files changed, 21 insertions(+), 3 deletions(-)

Comment 3 CFME Bot 2018-04-27 17:42:20 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/8545d9a074ed9b93d2ac726fd20a66428fd934fc
commit 8545d9a074ed9b93d2ac726fd20a66428fd934fc
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Apr 26 19:19:54 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Thu Apr 26 19:19:54 2018 -0400

    Merge pull request #17329 from eclarizio/dialog_field_dynamic_loading_sev2

    Dialog field loading/refresh refactor to fix automate delays
    (cherry picked from commit c719d7f3867ec1c70a7d6dda92149b3e45eab093)

    https://bugzilla.redhat.com/show_bug.cgi?id=1572716
    https://bugzilla.redhat.com/show_bug.cgi?id=1572711

 app/models/dialog.rb | 20 +-
 app/models/dialog_field.rb | 16 +-
 app/models/dialog_field_check_box.rb | 9 -
 app/models/dialog_field_date_control.rb | 9 +-
 app/models/dialog_field_date_time_control.rb | 5 +-
 app/models/dialog_field_serializer.rb | 3 +-
 app/models/dialog_field_sorted_item.rb | 21 +-
 app/models/dialog_field_tag_control.rb | 4 +
 app/models/dialog_field_text_box.rb | 5 -
 app/models/resource_action_workflow.rb | 4 +-
 spec/models/dialog_field_check_box_spec.rb | 37 -
 spec/models/dialog_field_date_control_spec.rb | 18 +-
 spec/models/dialog_field_date_time_control_spec.rb | 26 +-
 spec/models/dialog_field_serializer_spec.rb | 2 +-
 spec/models/dialog_field_sorted_item_spec.rb | 133 +
 spec/models/dialog_field_spec.rb | 65 +-
 spec/models/dialog_field_text_box_spec.rb | 94 +-
 spec/models/resource_action_workflow_spec.rb | 31 +-
 18 files changed, 284 insertions(+), 218 deletions(-)

Comment 4 Shveta 2018-05-03 18:12:21 UTC
Fixed in 5.9.2.4.20180501195858_35dc609

Comment 7 errata-xmlrpc 2018-05-07 20:49:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.